# POST /api/v1/app/{appId}/perch/profile-scan

**Launch Profile Scan**

Triggers a profile scan for an application with automatic OpenAPI spec discovery

> 🧾 Audited
> This is recorded as `SCAN_STARTED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `write:device` permission.

## Parameters

- `appId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Application.

## Responses

### 200 — OK

#### application/json

- `scanKey` (string)

#### application/x-protobuf

- `scanKey` (string)

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
